Arduino

Reference Language | Libraries | Comparison | Changes

TFTLibrary > TFT

## setTextSize

#### Description

Sets the size of text that follows. The default size is "1". Each change in size increases the text by 10 pixels in height. That is, size 1 = 10 pixels, size 2 =20 pixels, and so on.

#### Syntax

screen.setTextSize(size);

#### Parameters

- size : int 1-5

#### Returns

none

#### Example

#include <SPI.h>
#include <TFT.h> // Arduino TFT library
#define cs 10
#define dc 9
#define rst 8
TFT screen = TFT(cs, dc, rst);
void setup() {
// initialize the screen
screen.begin();
// make the background black
screen.background(0,0,0);
// set the stroke color to white
screen.fill(255,255,255);
// default text size
screen.setTextSize(1);
// write text to the screen in the top left corner
screen.text("Testing!", 0, 0);
// increase text size
screen.setTextSize(5);
// write text to the screen below
screen.text("BIG!", 0, 10);
}
void loop() {
}
[Get Code]

#### See also

- TFT
- text()
- stroke()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers